package cn.stylefeng.team.generator.sdk.template.cache.biz;

import cn.hutool.cache.impl.TimedCache;
import cn.stylefeng.roses.kernel.cache.memory.AbstractMemoryCacheOperator;
import cn.stylefeng.team.generator.api.constants.GenerationConstants;
import cn.stylefeng.team.generator.api.pojo.template.BizGeneratorTemplateGroup;

public class BizTemplateMemoryCache extends AbstractMemoryCacheOperator<BizGeneratorTemplateGroup> {

    public BizTemplateMemoryCache(TimedCache<String, BizGeneratorTemplateGroup> timedCache) {
        super(timedCache);
    }

    @Override
    public String getCommonKeyPrefix() {
        return GenerationConstants.TEMPLATE_CACHE_PREFIX;
    }

}
